Перейти к содержимому

bridge.get_community_context ​

Purpose ​

Для пары сообщество/аккаунт возвращает роль аккаунта, звание и состояние подписки (subscription).

Параметры: name:string (имя сообщества, например: hive-123456); account:string

См. также: bridge.get_community

Parameters ​

PARAMETERS
json
{
  "name": "hive-108451",
  "account": "steemit"
}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "bridge.get_community_context",
    "params": {
      "name": "hive-108451",
      "account": "steemit"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "role": "guest",
  "title": "",
  "subscribed": false
}